<?php

/**
 * Simply creates the link to the Ceon URI Mapping Config Utility in the Zen Cart admin menu in Zen
 * Cart 1.5+. Once the link is created, the file necessary to have this functionality run is deleted
 * as it is never needed again! (This file can also then be deleted if desired).
 * 
 * @package     ceon_uri_mapping
 * @author      Conor Kerr <zen-cart.uri-mapping@dev.ceon.net>
 * @copyright   Copyright 2008-2011 Ceon
 * @copyright   Copyright 2003-2007 Zen Cart Development Team
 * @copyright   Portions Copyright 2003 osCommerce
 * @link        http://dev.ceon.net/web/zen-cart/uri-mapping
 * @license     http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version     $Id: init_ceon_uri_mapping_config.php 809 2011-08-13 12:35:39Z conor $
 */

if (!defined('IS_ADMIN_FLAG')) {
	die('Illegal Access');
}

if (function_exists('zen_register_admin_page')) {
	if (!zen_page_key_exists('ceon_uri_mapping_config')) {
		// Add the link to the Ceon URI Mapping Config Utility
		zen_register_admin_page('ceon_uri_mapping_config', 'BOX_CEON_URI_MAPPING',
			'FILENAME_CEON_URI_MAPPING_CONFIG', '', 'modules', 'Y', 40);
	}
}

// Now that the Config Utility file has been registered, can stop the wasteful process of having
// this script run again by removing it from the auto-loader array
@unlink(DIR_FS_ADMIN . DIR_WS_INCLUDES . 'auto_loaders/config.ceon_uri_mapping_config.php');

?>